package config

type settings struct {
	Logs     *logs     `yaml:"logs"`
	Database *database `yaml:"database"`
}

type logs struct {
	Nginx string `yaml:"nginx"`
	Log   string `yaml:"log"`
}

type database struct {
	Dsn    string `yaml:"dsn"`
	Prd    bool   `yaml:"prd"`
}

type sys struct {
	Jwt  string `yaml:"jwt"`
	User string `yaml:"user"`
}
