package config

type settings struct {
	Logs     *logs     `yaml:"logs"`
	Database *database `yaml:"database"`
	Email    *email    `yaml:"email"`
}

type logs struct {
	Nginx string `yaml:"nginx"`
	Log   string `yaml:"log"`
}

type database struct {
	Dsn string `yaml:"dsn"`
	Prd bool   `yaml:"prd"`
}

type email struct {
	Username string `yaml:"username"`
	Password string `yaml:"password"`
}
