package utils

// ResponseBean result结构
type ResponseBean struct {
	Code int         `json:"code"`
	Msg  string      `json:"msg"`
	Data interface{} `json:"data"`
}

type ResApiUtils struct {
	Flag bool        `json:"flag"`
	Data interface{} `json:"data"`
	Msg  string      `json:"msg"`
}

// ResSudoku sudoku --------------------------------------------------------------------
type ResSudoku struct {
	Flag bool `json:"flag"`
	Data resSudokuData
}
type resSudokuData struct {
	Check  bool   `json:"check"`
	Result string `json:"result"`
}

// ResHolidays holidays -------------------------------------------------------------------
type ResHolidays struct {
	Date          string `json:"date"`
	HolidayNameCn string `json:"holiday_name_cn"`
}
type resHolidaysApi struct {
	Date     string `json:"date"`
	Name     string `json:"name"`
	IsOffDay bool   `json:"isOffDay"`
}

// ipLocation
type resIpLocation struct {
	Status string              `json:"status"`
	Data   []resIpLocationData `json:"data"`
}
type resIpLocationData struct {
	OriginQuery string `json:"origin_query"`
	Location    string `json:"location"`
}
