package model

import "gorm.io/gorm"

type Balances struct {
	Username string  `json:"username"`
	Card     string  `json:"card"`
	Type     bool    `gorm:"default:false" json:"type"` //1：支出型；0：收入型
	Balance  float64 `json:"balance"`
	gorm.Model
}

type BalanceLogs struct {
	Username string
	Card     string
	Date     string
	Balance  float64
	gorm.Model
}
