package model

import "gorm.io/gorm"

// Logs 日志表
type Logs struct {
	Method    string `json:"method,omitempty"`
	Path      string `json:"path,omitempty"`
	Status    string `json:"status,omitempty"`
	UserAgent string `json:"user_agent,omitempty"`
	Time      string `json:"time,omitempty"`
	Location  string `json:"location,omitempty"`
	Ip        string `json:"ip,omitempty"`
	gorm.Model
}

type LogFileDealLog struct {
	Date    string
	Success bool
	gorm.Model
}

// SysLogs 系统容器日志表
type SysLogs struct {
	Time           string `json:"time,omitempty"`
	ContainerName  string `json:"container_name,omitempty"`
	ContainerImage string `json:"container_image,omitempty"`
	Message        string `json:"message,omitempty"`
	Offset         int    `json:"offset,omitempty"`
	gorm.Model
}
