import { reactive } from "vue";

export const useNotes: {
  id: string;
  content: string;
  preview: boolean;
  toolbars: any[];
} = reactive({
  id: "my-editor",
  content: "",
  preview: true,
  toolbars: [
    "bold",
    "underline",
    "italic",
    "-",
    "title",
    "strikeThrough",
    "sub",
    "sup",
    "quote",
    "unorderedList",
    "orderedList",
    "task",
    "-",
    "codeRow",
    "code",
    "link",
    "image",
    "table",
    "mermaid",
    "katex",
    "-",
    "revoke",
    "next",
    "save",
    0,
    "=",
    "pageFullscreen",
    "fullscreen",
    "preview",
    "previewOnly",
    "catalog",
  ],
});
