import { reactive } from "vue";

export const columns = [
  {
    title: "时间",
    dataIndex: "time",
    key: "time",
    width: 150,
    align: "center",
  },
  {
    title: "方法",
    dataIndex: "method",
    key: "method",
    width: 100,
    align: "center",
  },
  {
    title: "路径",
    dataIndex: "path",
    key: "path",
    align: "center",
    overflow: true,
  },
  {
    title: "返回码",
    dataIndex: "status",
    key: "status",
    width: 100,
    align: "center",
  },
  {
    title: "userAgent",
    dataIndex: "user_agent",
    key: "user_agent",
    width: "450",
    align: "center",
    overflow: true,
  },
];

export const sysLog = reactive({
  date: "",
  ip: "",
});
